summaryrefslogtreecommitdiff
path: root/home
diff options
context:
space:
mode:
authorC. McEnroe <june@causal.agency>2019-07-01 00:06:09 -0400
committerC. McEnroe <june@causal.agency>2019-07-01 00:06:09 -0400
commit375c517b74deb9ff316f581d44be47e8b4d48094 (patch)
treeeeed6d9bf82db627614877870a3a0c8e92866c34 /home
parentClean up 1sh prompt setting (diff)
downloadsrc-375c517b74deb9ff316f581d44be47e8b4d48094.tar.gz
src-375c517b74deb9ff316f581d44be47e8b4d48094.zip
Use env.sh as 1sh todo list
Diffstat (limited to 'home')
-rw-r--r--home/.config/1sh/env.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/home/.config/1sh/env.sh b/home/.config/1sh/env.sh
index 7b87c9d3..105d80ed 100644
--- a/home/.config/1sh/env.sh
+++ b/home/.config/1sh/env.sh
@@ -1,4 +1,5 @@
set -o noclobber -o nounset -o vi
+# FIXME: History is loaded before HISTSIZE gets set.
HISTSIZE=1000
_PATH=$PATH
@@ -37,6 +38,7 @@ if [ "$(uname)" = 'Linux' ]; then
alias ls='ls --color=auto' grep='grep --color'
fi
+# TODO: $? indicator.
PS0=$'\n'
PS1='\$ '
RPS1="${SSH_CLIENT:+\h:}\w"
@@ -47,6 +49,7 @@ sgr0=$(tput sgr0 || tput me)
tsl=$'\e]0;'
fsl=$'\a'
+# FIXME: Trailing PSlit sequence gets dropped.
PSlit=$'\1'
PS1="${PSlit}${af7}${PSlit}${PS1% }${PSlit}${sgr0}${PSlit} "
RPS1="${PSlit}${af0}${PSlit}# ${PSlit}${af7}${PSlit}${RPS1}${PSlit}${sgr0}${PSlit}"